<?xml version="1.0"?>

<launch>

    <!--Comment when used with multi_pilot.launch-->
    <!--env name="GAZEBO_MODEL_PATH" value="$(find chroma_gazebo_worlds)/models:${GAZEBO_MODEL_PATH}"/-->
    <arg name="drone"      default="intelaero_bugwright"/>
    <arg name="drone_name" default="$(arg drone_name)"/>
    <arg name="target_px"   default="0.0"/>
    <arg name="target_py"   default="0.0"/>
    <arg name="target_pz"   default="0.0"/>
    <arg name="state_vx"   default="2.0"/>
    <arg name="state_vy"   default="2.0"/>
    <arg name="state_vz"   default="0.0"/>
    <arg name="target_vx"   default="0.0"/>
    <arg name="target_vy"   default="0.0"/>
    <arg name="target_vz"   default="0.0"/>
    <arg name="x"          default="0.0"/>
    <arg name="y"          default="0.0"/>
    <arg name="z"          default="0.0"/>
    <arg name="roll"       default="0.0" />
    <arg name="pitch"      default="0.0" />
    <arg name="yaw"        default="0.0" />
    <arg name="num_neighbors" default="4"/>
    <arg name="detector_range" default="2"/>

    <arg name="world" default="empty_world"/>
    <arg name="headless" default="true"/>
    <arg name="gui" default="true"/>
    <arg name="paused" default="true"/>


    <group ns="$(arg drone_name)">

        <!-- Pilote -->
        <node pkg="chroma_gazebo_interfaces" type="pure_flocking_brouillon.py" name="pilot" output="screen">
            <!-- parameters -->
            <param name="~freq"           value="100.0"/>
            <param name="~borne_acc_xy"   value="0.5" />
            <param name="~target_px"      value="$(arg target_px)"/>
            <param name="~target_py"      value="$(arg target_py)"/>
            <param name="~target_pz"      value="$(arg target_pz)"/>
            <!--param name="~num_neighbors"  value="$(arg num_neighbors)"/-->

            <!-- topic entrants  -->
            <remap from="topic_odometry" to="groundtruth/odom"/>
            <remap from="topic_target"   to="new_target"/>
            <!--remap from="topic_imu"   to="imu"/-->
            <!--remap from="topic_uwb"   to="uwb"/-->

            <!-- topic sortants -->
            <remap from="~cmd" to="cmd"/>
        </node>

    </group>

    <!--Comment this part when used with multi_pilot.launch otherwise several gazebo node will be launched-->
    <!-- We resume the logic in empty_world.launch, changing only the name of the world to be launched -->
    <!--include file="$(find gazebo_ros)/launch/empty_world.launch">
      <arg name="world_name" value="$(find chroma_gazebo_worlds)/worlds/$(arg world).world"/>
      <arg name="debug"    value="false" />
      <arg name="paused"   value="$(arg paused)"/>
      <arg name="headless" value="$(arg headless)"/>
      <arg name="gui"      value="$(arg gui)"/>
      <arg name="verbose"  value="true"/>
    </include-->

    <!-- Spawn 3DR Model -->
    <include file="$(find chroma_gazebo_models)/launch/spawn_$(arg drone).launch">
      <arg name="name"  value="$(arg drone_name)"/>
      <arg name="id"    value="0"/>
      <arg name="x"     value="$(arg x)"/>
      <arg name="y"     value="$(arg y)"/>
      <arg name="z"     value="$(arg z)"/>
      <arg name="roll"  value="$(arg roll)" />
      <arg name="pitch" value="$(arg pitch)" />
      <arg name="yaw"   value="$(arg yaw)" />
    </include>


</launch>
